Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 789363 - dev-lang/xsb-4.0.0 does not respect CFLAGS
Summary: dev-lang/xsb-4.0.0 does not respect CFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: prolog herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: cflags
  Show dependency tree
 
Reported: 2021-05-10 20:04 UTC by Agostino Sarubbo
Modified: 2021-05-15 06:50 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,67.13 KB, text/plain)
2021-05-10 20:04 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2021-05-10 20:04:42 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: dev-lang/xsb-4.0.0 does not respect CFLAGS.
Discovered on: amd64 (internal ref: ci)

NOTE:
This machine uses GCC-11: https://gcc.gnu.org/gcc-11/porting_to.html
To reproduce this issue you may want to add "-frecord-gcc-switches" to CFLAGS/CXXFLAGS/FFLAGS/FCFLAGS. If this is not something about c/c++ context see this bug as an hint to hide the QA warning (with QA_FLAGS_IGNORED) where is not possible to respect CFLAGS.
Comment 1 Agostino Sarubbo gentoo-dev 2021-05-10 20:04:44 UTC
Created attachment 706839 [details]
build.log

build log and emerge --info
Comment 2 Keri Harris gentoo-dev 2021-05-15 06:50:30 UTC
This is now fixed in git. Thanks for reporting this bug.